fix release publication script

Change-Id: I8a8b6358981b0bd6a2c4e64d3b34eb909896b622
diff --git a/releng/org.eclipse.emf.compare.releng/publish-release.sh b/releng/org.eclipse.emf.compare.releng/publish-release.sh
index c88e174..1908cfa 100644
--- a/releng/org.eclipse.emf.compare.releng/publish-release.sh
+++ b/releng/org.eclipse.emf.compare.releng/publish-release.sh
@@ -29,12 +29,6 @@
   exit 1
 fi
 
-if ssh ${SSH_ACCOUNT} "[ ! -d ${MILESTONES_FOLDER}/${VERSION_SHORT}/S${TIMESTAMP} ]"
-then
-  echo "couldn't find build with qualifier $QUALIFIER in the promoted milestones"
-  exit 1
-fi
-
 echo "promoting milestone S${TIMESTAMP} as release ${VERSION}"
 
 IFS=. read MAJOR MINOR MICRO TIMESTAMP <<<"${QUALIFIER}"
@@ -42,6 +36,12 @@
 VERSION_SHORT=${MAJOR}.${MINOR}
 VERSION=${MAJOR}.${MINOR}.${MICRO}
 
+if ssh ${SSH_ACCOUNT} "[ ! -d ${MILESTONES_FOLDER}/${VERSION_SHORT}/S${TIMESTAMP} ]"
+then
+  echo "couldn't find build with qualifier $QUALIFIER in the promoted milestones"
+  exit 1
+fi
+
 ssh ${SSH_ACCOUNT} << EOSSH
   ## copy the drops